Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.database
Class DatabaseFactoryUtils

    java.lang.Object
      edu.stanford.smi.protegex.owl.database.DatabaseFactoryUtils

    public class DatabaseFactoryUtils

extends Object

This class is for internal use only. It is used during the loading, saving and importing of database models.

Author:
  tredmond

Field Summary
`static Logger` | `log`

Constructor Summary
`DatabaseFactoryUtils()`

Method Summary
`static String` | `getOntologyFromTable(Class<? extends edu.stanford.smi.protege.storage.database.DatabaseFrameDb> databaseFrameDbClass, String driver, String url, String username, String password, String table)`
`static void` | `loadImports(OWLModel owlModel, Collection errors)`
`static boolean` | `readOWLOntologyFromDatabase(OWLModel owlModel, TripleStore tripleStore)`
`static void` | `writeOWLOntologyToDatabase(OWLModel owlModel, TripleStore tripleStore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final transient Logger log

Constructor Detail

### DatabaseFactoryUtils

    public DatabaseFactoryUtils()

Method Detail

### readOWLOntologyFromDatabase

    public static boolean readOWLOntologyFromDatabase(OWLModel owlModel,
                                                      TripleStore tripleStore)

### writeOWLOntologyToDatabase

    public static void writeOWLOntologyToDatabase(OWLModel owlModel,
                                                  TripleStore tripleStore)

### loadImports

    public static void loadImports(OWLModel owlModel,
                                   Collection errors)

### getOntologyFromTable

    public static String getOntologyFromTable(Class<? extends edu.stanford.smi.protege.storage.database.DatabaseFrameDb> databaseFrameDbClass,
                                              String driver,
                                              String url,
                                              String username,
                                              String password,
                                              String table)
                                       throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.